Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BAD_TYPECODE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.BAD_TYPECODE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class BAD_TYPECODE
extends SystemException

The ORB has encountered a malformed type code (for example, a type code with an invalid TCKind value).

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`BAD_TYPECODE()`
`BAD_TYPECODE(int minor, CompletionStatus completed)`
`BAD_TYPECODE(java.lang.String orb_reason)`
`BAD_TYPECODE(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAD_TYPECODE

    public BAD_TYPECODE()

### BAD_TYPECODE

    public BAD_TYPECODE(java.lang.String orb_reason)

### BAD_TYPECODE

    public BAD_TYPECODE(int minor,
                        CompletionStatus completed)

### BAD_TYPECODE

    public BAD_TYPECODE(java.lang.String orb_reason,
                        int minor,
                        CompletionStatus completed)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD